Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclDNSI Class Reference

`#include <oscl_dns_imp_pv.h>`

Inheritance diagram for OsclDNSI:

## Public Methods
| ~OsclDNSI ()
int32 | Open (OsclSocketServI &aServer)
int32 | Close ()
void | GetHostByName (GetHostByNameParam &, OsclDNSRequestAO &)
void | GetHostByNameSuccess (GetHostByNameParam &)
void | GetNextHost (OsclDNSRequestAO &)
void | GetNextHostSuccess (GetHostByNameParam &)
bool | GetHostByNameResponseContainsAliasInfo ()
## Static Public Methods
OsclDNSI * | NewL (Oscl_DefAlloc &a)
## Friends
class | OsclDNSRequest
class | OsclGetHostByNameRequest
class | DNSRequestParam

## Detailed Description

OsclDNSI, non-Symbian implementation

## Constructor & Destructor Documentation

OsclDNSI::~OsclDNSI | ( |  | ) |

## Member Function Documentation

int32 OsclDNSI::Close | ( |  | ) | `[virtual]`

| Implements OsclDNSIBase.

void OsclDNSI::GetHostByName | ( | GetHostByNameParam & | ,
|  | OsclDNSRequestAO & |
| ) | `[virtual]`

| Implements OsclDNSIBase.

bool OsclDNSI::GetHostByNameResponseContainsAliasInfo | ( |  | ) | `[virtual]`

| Implements OsclDNSIBase.

void OsclDNSI::GetHostByNameSuccess | ( | GetHostByNameParam & |  | ) | `[virtual]`

| Implements OsclDNSIBase.

void OsclDNSI::GetNextHost | ( | OsclDNSRequestAO & |  | ) | `[virtual]`

| Implements OsclDNSIBase.

void OsclDNSI::GetNextHostSuccess | ( | GetHostByNameParam & |  | ) | `[virtual]`

| Implements OsclDNSIBase.

OsclDNSI* OsclDNSI::NewL | ( | Oscl_DefAlloc & | a | ) | `[static]`

int32 OsclDNSI::Open | ( | OsclSocketServI & | aServer | ) | `[virtual]`

| Implements OsclDNSIBase.

## Friends And Related Function Documentation

friend class DNSRequestParam`[friend]`

friend class OsclDNSRequest`[friend]`

| Reimplemented from OsclDNSIBase.

friend class OsclGetHostByNameRequest`[friend]`

| Reimplemented from OsclDNSIBase.

The documentation for this class was generated from the following file:

- oscl_dns_imp_pv.h